﻿@model IEnumerable<crm.ProjetWeb.Models.ReclamationModel>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            Nom Client
        </th>
        <th>
            Type
        </th>
        <th>
            Description
        </th>
        <th>
            Etat
        </th>
        <th>
            Date de réclamation
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.NomClient)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.type)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.description)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.etat)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DateReclamation)
            </td>
            <td>
                @if (item.etat == "Non traitée")
                {
                    
                           // <input id="accepter" type="submit" value="Accepter" class="btn btn-default" />
                    
                          @Html.ActionLink("Accepter|", "Repondre", new { id = item.Reclamationid })
                           @Html.ActionLink("Supprimer", "Delete", new { id = item.Reclamationid })
                         @Html.ActionLink("Details", "Details", new { id = item.Reclamationid })
                }
                @if (item.etat == "Refusée")
                {
                    @Html.ActionLink("Details", "Details", new { id = item.Reclamationid })
                }
                @if (item.etat == "En cours" && item.reponse == null)
                {
                    @Html.ActionLink("Répondre|", "Repondre", new { id = item.Reclamationid })
                    @Html.ActionLink("Details", "Details", new { id = item.Reclamationid })
                    
                }
                @if (item.etat == "En cours" && item.reponse != null)
                {
                    
                    @Html.ActionLink("Details", "Details", new { id = item.Reclamationid })

                }
                

                    @if (item.etat == "Traitée")
                    {
                        @Html.ActionLink("Details|", "Details", new { id = item.Reclamationid })
                        @Html.ActionLink("Supprimer", "Delete", new { id = item.Reclamationid })
                    }
                    


                
            </td>
        </tr>
    }

</table>
